Bug 1814609 (CVE-2020-10686)

Summary: CVE-2020-10686 keycloak: remove other users MFA devices
Product: [Other] Security Response Reporter: Paramvir jindal <pjindal>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aboyko, chazlett, drieden, krathod, pdrozd, pjindal, security-response-team, sthorger
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: keycloak 9.0.1 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Keycloak version 8.0.2 and 9.0.0, where a malicious user registers as oneself. The attacker could then use the remove devices form to post different credential IDs and possibly remove MFA devices for other users.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-29 07:19:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1814375    

Description Paramvir jindal 2020-03-18 11:25:41 UTC
A community-only flaw was found where a malicious user can registers himself and then uses the remove devices form to post different credential ids with the hope of removing MFA devices for other users. 

https://issues.jboss.org/browse/KEYCLOAK-13259

Comment 2 Paramvir jindal 2020-03-18 11:29:07 UTC
requesting CVE for this community-only flaw.

Comment 5 Paramvir jindal 2020-05-04 08:44:50 UTC
Acknowledgments:

Name: Oliver P (SCISYS – now part of CGI)